> For the complete documentation index, see [llms.txt](https://developer.expertfile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.expertfile.com/reference/embeds/expert-directory-search.md).

# Expert Directory/Search

## Parameters

<table><thead><tr><th width="339.3333333333333">Name</th><th>Description</th></tr></thead><tbody><tr><td>topic</td><td>Comma-delimited Topics(i.e. Topic1,Topic2)</td></tr><tr><td>category</td><td>Comma-delimited Categories(i.e. Cat1,Cat2)</td></tr><tr><td>tag</td><td>Comma-delimited Tags(i.e. Tag1,Tag2)</td></tr><tr><td>alphabet</td><td>Filter by letter on last name</td></tr><tr><td>page_size</td><td>Page size</td></tr><tr><td>page_number</td><td>Page number</td></tr><tr><td>keyword</td><td>Keyword search</td></tr><tr><td>channel</td><td>Unique ID used to set iframe height(must match with parameter value in JS code)</td></tr><tr><td>url_override</td><td>Used to change expert profile url location</td></tr><tr><td>access</td><td>Access state(i.e. public/private/all)</td></tr><tr><td>layout</td><td>Layout style(i.e. list/grid)</td></tr><tr><td>sort</td><td>Sort type(i.e. name/featured)</td></tr><tr><td>order</td><td>Sort order(i.e. asc/desc)</td></tr><tr><td>hide_search_bar</td><td>Hide the main search bar(yes/no)</td></tr><tr><td>hide_search_category</td><td>Hide category filter(yes/no)</td></tr><tr><td>hide_search_sort</td><td>Hide sort dropdown(yes/no)</td></tr><tr><td>open_tab</td><td>Open links in new tab(yes/no)</td></tr><tr><td>powered_by</td><td>Show ExpertFile logo(yes/no)</td></tr><tr><td>avatar</td><td>Avatar style(circle/square)</td></tr><tr><td>user_type</td><td>User types(experts/employee/all)</td></tr><tr><td>search_placeholder</td><td>Override searhbar placeholder text</td></tr><tr><td>content</td><td>Content to show in listing(title,organization,headline,expertise,phone_number,email)</td></tr><tr><td>filters</td><td>Set which filters to display</td></tr><tr><td>url_color</td><td>url color</td></tr><tr><td>primary_action_button_color</td><td>button color</td></tr><tr><td>max_topic</td><td>Max topics to show in search result</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.expertfile.com/reference/embeds/expert-directory-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
